Upsert scan configuration

Updates an existing scan configuration or creates a new scan configuration.

This operation is asynchronous and returns with an immediate 202. The scan configuration is guaranteed to be created at some point in the immediate future depending on resource load. To track the status of the operation, use the GET /was/v2/configs/{config_id}/status/{tracking_id} endpoint. The config_id and tracking_id can be retrieved from the URI provided in the Location header of the 202 Accepted response.

Note: Although this endpoint can be used to create a scan configuration, Tenable recommends the POST /was/v2/configs endpoint instead for the creation of scan configurations. To create a scan configuration with this endpoint, you first need to generate a UUID. Tenable recommends the uuidgen tool available in most Linux distributions. The --time option can be passed to the uuidgen tool to ensure that the UUID is unique.

Requires the Scan Manager [40] user role or the WAS.SCAN_WAS.MANAGE custom role privilege. Additionally, requires the Can Edit [64] scan permission. See Roles and Permissions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

If updating an existing scan configuration, the UUID of the scan configuration you want to update. If creating a new scan configuration, a new UUID generated with a tool like uuidgen.

Body Params
string
required

A unique, user-defined name for the scan configuration.

string

An optional summary or notes about the scan configuration's purpose.

targets
array of uris
required

A list of absolute URLs to be included in the scan. Specifying multiple URLs enables you to assess several web applications within a single scan job.

targets*
tag_targets
array of uuids

A list of unique tag identifiers (UUIDs) to include in the scan. This enables you to dynamically target assets based on their assigned tags rather than manual URL entry.

tag_targets
applications
array of uuids

A list of unique web application identifiers (UUIDs) to include in the scan. Selecting specific applications enables you to run targeted assessments on pre-defined assets within your inventory.

applications
uri
deprecated

The URL of the web application that you want to scan.

Deprecated: This parameter is deprecated and will be retired on 2022/04/06. Tenable recommends that you use the targets parameter instead. Please update any existing integrations that your organization has.

uuid

The UUID of the folder to assign for the scan configuration.

uuid
required

The UUID of the owner of the scan configuration.

uuid
required

The UUID of the Tenable-provided configuration template.

uuid

The UUID of the user-defined configuration template from which this configuration was derived.

integer

The unique identifier for the scanner or scanner group designated to perform the scan. Specifying a scanner enables you to control the network origin of the scan. If omitted, the system defaults to the default cloud scanner.

Caution: To scan internal web applications, you must specify the ID of a local scanner or scanner group to ensure the target is reachable.

schedule
object

The scan schedule settings. By default, scans are not scheduled.

pause_window
object
deprecated

Defines time frames during which the scheduled scan should not run. Pause windows can be used only when a scan schedule is configured.

Deprecated: The pause_window object is deprecated. To create a pause window, use a schedule window with the type parameter set to pause. For more information, see the schedule_windows object. Please update any existing integrations that your organization has.

schedule_windows
object

Defines scan and pause windows for scheduled scans. Each window specifies when scans run or pause. Requires a scan schedule to be enabled.

notifications
object

Contact information used to send scan notifications upon scan completion.

permissions
array of objects

The permissions for the scan configuration.

permissions
settings
object
required

The scan configuration settings.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html